complexType "ResetDates"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | resetFrequency
</...>

Content Model Elements (1):

  resetFrequency (in resetDates)

All Direct / Indirect Based Elements (1):

  resetDates

Known Usage Locations

- As direct type of elements (1):
  resetDates

Annotation
A type defining the parameters used to generate the reset dates schedule and associated fixing dates. The reset dates are determined relative to the calculation periods schedules dates.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ResetDates"> <xsd:sequence> <!--View Generation: SKIPPED calculationPeriodDatesReference - Documentation--> <!--View Generation: SKIPPED resetRelativeTo - Standardized--> <!--View Generation: SKIPPED initialFixingDate - Documentation--> <!--View Generation: SKIPPED fixingDates - Standardized--> <!--View Generation: SKIPPED rateCutOffDaysOffset - Documentation--> <xsd:element name="resetFrequency" type="ResetFrequency"/> <!--View Generation: SKIPPED resetDatesAdjustments - DateAdjustments--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
resetFrequency

  Type: | ResetFrequency, complex content

  The frequency at which reset dates occur. In the case of a weekly reset frequency, also specifies the day of the week that the reset occurs. If the reset frequency is greater than the calculation period frequency then this implies that more than one reset date is established for each calculation period and some form of rate averaging is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="resetFrequency" type="ResetFrequency"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.